Subject: Re: Problem reading and programming memory location...

From: Anatolij Gustschin <[email-masked]>
Date: Wed, 13 Nov 2013 08:32:59 +0100

On Tue, 12 Nov 2013 20:23:20 +0100
neorf3k <[email-masked]> wrote:

> we have tried to read and program an 8bit register with 32bit address.
> we have mapped it with: ioremap, kmalloc etc… and then using: outb,
> iowrite8 etc.. but when we write to it, the value doesn’t change…
> with other memory location is ok.
> That is an 8 bit register, located at 0x10020000 in a mpc5200b
> architecture. we are using kernel 2.6.33. 
> what could be?

0x10020000 is not in the internal register memory map, so it
is probably a device on the LocalPlus bus. Did you configure
the chip select parameters for this device and did you enable
the associated chip select?
  
HTH,

Anatolij